Package com.sas.lsaf.workflow.processdefinition

## Class ProcessDefinitionMapping

- java.lang.Object
- - com.sas.lsaf.workflow.processdefinition.ProcessDefinitionMapping

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ProcessDefinitionMapping
      extends java.lang.Object
      implements java.io.Serializable

  The class that maps process flow definition element attributes so that process flows can be created and set up based on the values in the mapping.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessDefinitionMapping​(java.lang.String processDefinitionKey, AutoFlowType type, boolean mappingComplete, long mappingRevision)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<FlowElementMapping>` | `getElementMapping()` | Gets the attribute mapping for elements in the process definition.
    `long` | `getMappingRevision()` | Gets the internally managed revision number of the process flow definition mapping.
    `java.lang.String` | `getProcessDefinitionKey()` | Gets the key of the process flow definition that is also the identifier as it exists in the definition file.
    `AutoFlowType` | `getType()` | Gets the type of the source object from which the mapping is used to automatically create process flows.
    `int` | `hashCode()` |
    `boolean` | `isEnableAutoFlowMapping()` | Gets whether the process flow definition allows for element mapping and auto flow creation.
    `boolean` | `isMappingComplete()` | Gets whether the all of the required auto flow mappings have been completed.
    `void` | `setElementMapping​(java.util.List<FlowElementMapping> elementMapping)` | Sets the attribute mapping for elements in the process flow definition.
    `void` | `setEnableAutoFlowMapping​(boolean enableAutoFlowMapping)` | Sets whether the process flow definition allows for element mapping and auto flow creation.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessDefinitionMapping

          public ProcessDefinitionMapping​(java.lang.String processDefinitionKey,
                                          AutoFlowType type,
                                          boolean mappingComplete,
                                          long mappingRevision)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the process flow definition mappings returned by the API.
      Parameters:
        `processDefinitionKey` - The key of the process flow definition that is also the identifier as it exists in the definition file.
        `type` - The type of the source object from which the mapping is used to automatically create process flows.
        `mappingComplete` - Indicates whether the attributes that are required to create process flows contain mappings.
        `mappingRevision` - The internally managed revision number of the process definition mapping.

  - ### Method Detail

    - #### getProcessDefinitionKey

          public java.lang.String getProcessDefinitionKey()

      Gets the key of the process flow definition that is also the identifier as it exists in the definition file.
      Returns:
        The key.

    - #### getType

          public AutoFlowType getType()

      Gets the type of the source object from which the mapping is used to automatically create process flows.
      Returns:
        The type.

    - #### getElementMapping

          public java.util.List<FlowElementMapping> getElementMapping()

      Gets the attribute mapping for elements in the process definition.
      Returns:
        The attribute mapping.

    - #### setElementMapping

          public void setElementMapping​(java.util.List<FlowElementMapping> elementMapping)

      Sets the attribute mapping for elements in the process flow definition.
      Parameters:
        `elementMapping` - The attribute mapping. Specifying null or an empty list clears the element mappings.

    - #### getMappingRevision

          public long getMappingRevision()

      Gets the internally managed revision number of the process flow definition mapping.
      Returns:
        The internally managed revision number.

    - #### isEnableAutoFlowMapping

          public boolean isEnableAutoFlowMapping()

      Gets whether the process flow definition allows for element mapping and auto flow creation.
      Returns:
        Whether the process flow definition allows for element mapping and auto flow creation.

    - #### setEnableAutoFlowMapping

          public void setEnableAutoFlowMapping​(boolean enableAutoFlowMapping)

      Sets whether the process flow definition allows for element mapping and auto flow creation. The default is false. Disabling auto flow mapping and creation after it has been enabled requires that you clear the existing mapping by calling `setElementMapping` with null or an empty list.
      Parameters:
        `enableAutoFlowMapping` - Indicates whether the process flow definition allows for element mapping and auto flow creation.

    - #### isMappingComplete

          public boolean isMappingComplete()

      Gets whether the all of the required auto flow mappings have been completed. This returns true, if all required attributes are specified so that a process flow can be successfully created and activated. For example, if a timer or signal element is not mapped, which are required for activation, false is returned.
      Returns:
        Whether the all of the required auto flow mappings have been completed.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`